> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Chart Of Accounts

> Fetches the client's live QuickBooks chart of accounts using a refreshed access token.

Not available to API keys yet. It will need `integrations:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /platform/get-chart-of-accounts
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/get-chart-of-accounts:
    post:
      operationId: getChartOfAccounts
      summary: Get Chart Of Accounts
      description: >-
        Fetches the client's live QuickBooks chart of accounts using a refreshed
        access token.


        Not available to API keys yet. It will need `integrations:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetChartOfAccountsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetChartOfAccountsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetChartOfAccountsRequest:
      type: object
      properties:
        clientId:
          type: string
          format: uuid
        refresh:
          type: boolean
    GetChartOfAccountsResponse:
      type: object
      properties:
        accounts:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              accountType:
                type: string
              accountSubType:
                type: string
              active:
                type: boolean
              classification:
                type: string
              currencyRef:
                type: string
            required:
              - id
              - name
              - accountType
              - active
        fetchedAt:
          type: string
      required:
        - accounts
        - fetchedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
